<?php
  $host = "ftp.mojserwer.com";
  $user = "anonymous";
  $pass = "moj@adres.email";

  $plik_lokalny = "./plik.zip";
  $plik_zdalny = "/plik.zip";

  if(!$ftpid = ftp_connect($host)){
    exit("Nie mogę nawiązać połączenia z serwerem ftp.\n");
  }

  echo "Połączenie z serwerem $host zostało nawiązane...\n";

  if(!ftp_login($ftpid, $user, $pass)){
    ftp_close($ftpid);
    exit("Wystąpił błąd przy próbie zalogowania...\n");
  }
  else{
    echo "Logowanie zakończone sukcesem...\n";
  }

  if(!ftp_get($ftpid, $plik_lokalny, $plik_zdalny, FTP_BINARY)){
    exit("Błąd przy próbie pobrania pliku $plik_zdalny...");
  }
  else{
    echo "Plik $plik_zdalny został pobrany i zapisany jako $plik_lokalny.\n";
  }

  if(!ftp_close($ftpid)){
    echo "Błąd przy próbie zakończenia połączenia...\n";
  }
  else{
    echo "Połączenie zostało zakończone...\n";
  }
?>
